Subject: Re: Strange TCP behavior over HSDPA

From: Jarek Poplawski <[email-masked]>
Date: Tue, 29 Dec 2009 13:36:20 +0000

On Tue, Dec 29, 2009 at 12:16:24PM +0000, Jarek Poplawski wrote:
> On Tue, Dec 29, 2009 at 10:57:48AM +0000, Jarek Poplawski wrote:
> > Did you try to turn off TCP window scaling btw? Anyway, under the
> > tunnel ([2]), when SACK worked, it saved you a lot of retransmits.
> 
> Hmm... Actually, after re-checking, there weren't much more of those
> retransmits at all. In [1] there was one more packet lost, so it took
> a bit longer. In [2] (with SACK) the retransmit started earlier and
> the rcv window was unchanged. So, it rather looks like differences
> in timing of TCP recovery techniques.

Hmm#2... On the other hand, I can imagine cases with a larger data
loss, where working SACK should really save on retransmits.

Jarek P.